---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch Supabase-backed v1 offline-test datasets for a project. Reference for
    the GET /v1/projects/{projectId}/datasets endpoint in the Judgeval API.
sidebar:
  label: Fetch offline-test datasets
  badge: GET
title: Fetch offline-test datasets
type: openapi-operation
---
Fetch Supabase-backed v1 offline-test datasets for a project.

`GET /v1/projects/{projectId}/datasets`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
[
  {
    "dataset_id": "string",
    "organization_id": "string",
    "project_id": "string",
    "name": "string",
    "schema": {},
    "current_version": 0,
    "created_at": "string",
    "updated_at": "string",
    "creator_id": "string",
    "entries": 0,
    "test_config_count": 0
  }
]
```
